<?php

use GuzzleHttp\Client;

require_once __DIR__ . '/RestServiceClient.php';

class RestCoupangApiServiceClient extends RestServiceClient
{

    public function __construct()
    { }



    public function getCategory($categoryCode)
    {
        $response = $this->request('GET', '/coupang/category?categoryCode='. $categoryCode, []);
        return $response->data;
    }

    public function postProduct($params) {
        $response = $this->request('POST', '/coupang/product', $params);
        return $response->data;
    }
}
